image: php

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - vendor/

before_script:
  - apt update -yqq && apt install -yqq zip git
  - pecl install xdebug
  - docker-php-ext-enable xdebug
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar install

test:
  stage: test
  only:
    - master
    - merge_requests
  script:
    - php composer.phar test
